org.gitana.platform.services.statistics

## Interface Statistics

All Known Implementing Classes:
  StatisticsImpl

    public interface Statistics

Author:
  uzi

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `getValues()`
`boolean` `hasValue(String key)`
`boolean` `readBooleanValue(String key)`
`boolean` `readBooleanValue(String key, boolean defaultValue)`
`double` `readDoubleValue(String key)`
`double` `readDoubleValue(String key, double defaultValue)`
`int` `readIntValue(String key)`
`int` `readIntValue(String key, int defaultValue)`
`Object` `readValue(String key)`
`Object` `readValue(String key, Object defaultValue)`

### Method Detail

#### getValues

    Map<String,Object> getValues()

#### hasValue

    boolean hasValue(String key)

#### readValue

    Object readValue(String key)

#### readValue

    Object readValue(String key,
                     Object defaultValue)

#### readIntValue

    int readIntValue(String key)

#### readIntValue

    int readIntValue(String key,
                     int defaultValue)

#### readDoubleValue

    double readDoubleValue(String key)

#### readDoubleValue

    double readDoubleValue(String key,
                           double defaultValue)

#### readBooleanValue

    boolean readBooleanValue(String key)

#### readBooleanValue

    boolean readBooleanValue(String key,
                             boolean defaultValue)